ATA_SCSI_SLAVE_DESTR(9)

NAME
ata_scsi_slave_destroy - SCSI device is about to be destroyed

SYNOPSIS

void ata_scsi_slave_destroy(struct scsi_device * sdev);

ARGUMENTS

sdev
    SCSI device to be destroyed

DESCRIPTION

sdev is about to be destroyed for hot/warm unplugging. If this unplugging was initiated by libata as indicated by NULL dev->sdev, this function doesn't have to do anything. Otherwise, SCSI layer initiated warm-unplug is in progress. Clear dev->sdev, schedule the device for ATA detach and invoke EH.

LOCKING

Defined by SCSI layer. We don't really care.

AUTHOR

Jeff Garzik
    Author.

COPYRIGHT